# Greek flow `GET` `https://api.unusualwhales.com/api/group-flow/{flow_group}/greek-flow` Returns the group flow's greek flow (delta & vega flow) for the given market day broken down per minute. Date must be the current or a past date. If no date is given, returns data for the current/last market day. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `flow_group` | SingleFlowGroup | Yes | A flow group | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `date` | Optional Market Date | No | A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `dir_delta_flow` | Dir Delta Flow | The directional delta flow. | | `dir_vega_flow` | Dir Vega Flow | The directional vega flow. | | `flow_group` | Flow Group | A flow group where the flow data for all tickers in that group are aggregated. | | `net_call_premium` | Market General Net Call Premium | Defined as (call premium ask side) - (call premium bid side). | | `net_call_volume` | Market General Net Call Volume | Defined as (call volume ask side) - (call volume bid side). | | `net_put_premium` | Market General Net Put Premium | Defined as (put premium ask side) - (put premium bid side). | | `net_put_volume` | Market General Net Put Volume | Defined as (put volume ask side) - (put volume bid side). | | `otm_dir_delta_flow` | OTM Dir Delta Flow | The directional delta flow of out-of-the-money options. | | `otm_dir_vega_flow` | OTM Dir Vega Flow | The directional vega flow of out-of-the-money options. | | `otm_total_delta_flow` | OTM Total Delta Flow | The total delta flow of out-of-the-money options. | | `otm_total_vega_flow` | OTM Total Vega Flow | The total vega flow of out-of-the-money options. | | `timestamp` | Timestamp | The (start of minute) timestamp of the data. | | `total_delta_flow` | Total Delta Flow | The total delta flow. | | `total_vega_flow` | Total Vega Flow | The total vega flow. | | `transactions` | Transactions | The amount of transactions. | | `volume` | Volume | The total options volume. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/group-flow/{flow_group}/greek-flow" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/group-flow/{flow_group}/greek-flow", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "dir_delta_flow": "-43593.96", "dir_vega_flow": "31243.04", "flow_group": "airline", "net_call_premium": "-1095135.00", "net_call_volume": 1049, "net_put_premium": "135732.00", "net_put_volume": 415, "otm_dir_delta_flow": "14947.51", "otm_dir_vega_flow": "11421.03", "otm_total_delta_flow": "-28564.02", "otm_total_vega_flow": "101745.64", "timestamp": "2024-10-28T18:46:00Z", "total_delta_flow": "-21257.36", "total_vega_flow": "350944.58", "transactions": 1188, "volume": 12348 } ] } ```